/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Dokončit aplikaci",
	'step1Label': "Krok 1:",
	'step1Title': "Zahájit proces dokončení",
	'step2Label': "Krok 2:",
	'step2Title': "Zobrazit průběh",
	'finish': "Dokončit",
	'next': "Další",
	'startButtonLabel': "Dokončit nastavení aplikace",
	'description': "Pro dokončení konfigurace této aplikace je třeba provést několik operací. Tento krok zajistí zpětnou vazbu ohledně stavu těchto operací. Po dokončení tohoto kroku bude nastavení aplikace kompletní.",
	'startInstructions': "Proces dokončení se skládá ze dvou částí: Uložení klíče a tajného údaje spotřebitele a Synchronizace uživatelů. Chcete-li začít, klepněte na níže uvedené tlačítko.",
	'finalizePending': "Počkejte, než se aplikace zfinalizuje. Může to trvat minutu.",
	'allComplete': "Proces dokončení je dokončen. Pokračujte klepnutím na tlačítko \"${0}\".",
	'operationError': "Při pokusu o provedení této operace došlo k chybě. Další informace viz chybová zpráva na začátku této stránky.",
	'finalizeError': "CRJAZ1850E Klíč a utajený údaj spotřebitele nelze uložit do aplikační databáze. Více informací naleznete v podrobnostech.",
	'userSyncError': "CRJAZ1752E Nelze provést operaci Synchronizace uživatele. Více informací naleznete v podrobnostech.",
	'finalizeCheckError': "CRJAZ1787E Došlo k chybě při pokusu o určení, zda je pro tuto aplikaci nezbytná operace Dokončit.",
	'noFinalizeNeeded' : "Dokončení není požadováno nebo bylo již pro tuto aplikaci provedeno.",
	'operation1title': "Dokončit registraci",
	'operation1desc': "Nyní, když byla databáze této aplikace nakonfigurována, dokončí tato operace registraci aplikace na serveru Jazz Team Server.",
	'operation2title': "Provést synchronizaci uživatelů",
	'operation2desc': "Tato operace bude do této aplikace synchronizovat záznamy uživatelů uložené v serveru Jazz Team Server.",
	'disablingAdmin': "Proces dokončení je dokončen. Přístup ADMIN k této aplikaci bude zakázán a vy budete od ní automaticky odhlášeni. Po skončení instalace se budete muset k této aplikaci přihlásit jako nový uživatel s oprávněním administrátora, kterého jste vytvořili na serveru Jazz Team Server.",
	'appNotRegistered': "Aby tato aplikace správně fungovala, je nutné ji zaregistrovat na serveru Jazz Team Server. Chcete-li pokračovat, použijte průvodce nastavením, který se nachází na serveru Jazz Team Server (Například: https://název_serveru.doména.com:9443/jts/setup)."
	
})	
