@echo off
rem *******************************************************************************
rem  Licencovan materily - vlastnictv IBM
rem  (c) Copyright IBM Corporation 2006, 2012. Vechna prva vyhrazena.
rem
rem  Omezen prva uivatel z ad americkch vldnch instituc:
rem  Pouit, koprovn a zveejnn je omezeno v souladu se smlouvou GSA ADP
rem  Schedule Contract se spolenost IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Definujte promnn prosted odpovdajc parametrm
REM # skriptu rm_upgrade.bat a jejich vchozm hodnotm
REM #
REM #===========================================================
REM #
REM # Tento soubor se te na zatku proveden skriptu
REM # rm_upgrade.bat. Nastavuje jednu promnnou prosted pro
REM # jeden platn parametr pomoc peddefinovan vchoz hodnoty.
REM #
REM # Uivatel mohou vchoz hodnotu upravit, a doclit tak
REM # spoutn skriptu rm_upgrade.bat se svmi vlastnmi hodnotami
REM # bez nutnosti runho zadvn parametr s jejich hodnotami
REM # do pkazovho dku.
REM #
REM # VAROVN:
REM # Nen nutn nastavovat vechny promnn pro kadou
REM # aplikaci. Ped pravou hodnoty si pozorn pette
REM # koment.
REM #
REM #############################################################

rem Parametr: -oldApplicationHome
rem Pouit: -oldApplicationHome <cesta_k_adresi>
rem Popis:
rem pln cesta k domovskmu adresi aplikace ve star instalaci.
rem Vchoz hodnota:
rem 	<nen>
rem Omezen:
rem  - jedn se o povinn parametr
rem  - <cesta_k_adresi> mus bt existujc adres zakonen etzcem 'server\conf'
rem    nap. D:\Jazz\IBM\RRC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametr: -applicationContextRoot
rem Pouit: -applicationContextRoot <koen>
rem Popis:
rem 	Kontextov koenov adres aplikace.
rem Vchoz:
rem 	rm
rem Omezen:
rem  - <koen> mus bt platn nzev jednoho adrese (tj. bez vodnho lomtka)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametr: -oldJTSHome
rem Pouit: -oldJTSHome <cesta_k_adresi>
rem Popis:
rem pln cesta k domovskmu adresi JTS ve star instalaci.
rem Vchoz hodnota:
rem 	<nen>
rem Omezen:
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a konit etzcem 'server\conf'
rem  - Platn pouze pro upgrady RM a JTS
rem
set OLD_JTS_HOME=

rem Parametr: -oldJTSContextRoot
rem Pouit: -oldJTSContextRoot <koen>
rem Popis:
rem 	Kontextov koenov adres JTS
rem Vchoz:
rem 	jts
rem Omezen:
rem  - Akceptuje se pouze pro upgrade RM
rem  - <koen> mus bt jedin nzev platnho adrese (tj. bez vodnho lomtka)
rem
set OLD_JTS_CONTEXT_ROOT=

rem Parametr: -updateTomcatFiles
rem Pouit: -updateTomcatFiles <yes | no>
rem Popis:
rem Zda maj bt aktualizovny konfiguran soubory tomcat.
rem Vchoz hodnota:
rem 	yes
rem Omezen:
rem  - Jedin platn hodnoty: 'yes' a 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldApplicationTomcatHome
rem Pouit: -oldApplicationTomcatHome <cesta_k_adresi>
rem Popis:
rem 	pln cesta ke koenovmu adresi aplikac serveru Tomcat ve star instalaci.
rem Vchoz:
rem 	<nen>
rem Omezen:
rem  - Akceptuje se pouze pro upgrade RM
rem  - Mus bt existujcm adresem
rem
set OLD_TOMCAT_HOME=

rem Parametr: -oldJTSTomcatHome
rem Pouit: -oldJTSTomcatHome <cesta_k_adresi>
rem Popis:
rem 	pln cesta ke koenovmu adresi JTS serveru Tomcat ve star instalaci.
rem Vchoz:
rem 	<nen>
rem Omezen:
rem  - Akceptuje se pouze pro upgrade RM
rem  - Mus bt existujcm adresem
rem
set OLD_JTS_TOMCAT_HOME=

rem Parametr: -newApplicationHome
rem Pouit: -newApplicationHome <cesta_k_adresi>
rem Popis:
rem 	Cesta k domovskmu adresi aplikace v nov instalaci.
rem Vchoz hodnota:
rem 	conf
rem Omezen:
rem  - Akceptuje se pouze pro upgrade produkt RTC, QM a RM
rem  - Je-li akceptovn, jde o povinn parametr
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server\conf'
rem    nap. D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametr: -newJTSHome
rem Pouit: -newJTSHome <cesta_k_adresi>
rem Popis:
rem 	pln cesta k domovskmu adresi JTS na serveru JTS pro novou instalaci.
rem Vchoz hodnota:
rem 	Domovsk adres nov aplikace
rem Omezen:
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server\conf'
rem
set NEW_JTS_HOME=

rem Parametr: -newJTSContextRoot
rem Pouit: -newJTSContextRoot <koen>
rem Popis:
rem 	Kontextov koenov adres serveru JTS.
rem Vchoz hodnota:
rem 	jts
rem Omezen:
rem  - <koen> mus bt jeden platn nzev adrese (tj. bez vodnho lomtka)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -newApplicationTomcatHome
rem Pouit: -newApplicationTomcatHome <cesta_k_adresi>
rem Popis:
rem 	Cesta ke koenovmu adresi aplikac serveru Tomcat v nov instalaci.
rem Vchoz:
rem 	<nen>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -newJTSTomcatHome
rem Pouit: -newJTSTomcatHome <cesta_k_adresi>
rem Popis:
rem 	Cesta ke koenovmu adresi JTS Tomcat na serveru JTS pro novou instalaci.
rem Vchoz:
rem 	<nen>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Pouit: -noPrompt
rem Popis:
rem  Nevyadovat potvrzen (tj. vdy pout noPrompt) pi provdn vekerch pkaz repotools
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: przdn nebo 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -overwrite
rem Pouit: -overwrite
rem Popis:
rem 	Vynutit pepsn (tj. vdy pout overwrite=yes) pi provdn vekerch pkaz repotools
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty a 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -noVerify
rem Pouit: -noVerify
rem Popis:
rem 	Neprovdt dnou verifikaci platnosti (tj. vdy pout noVerify) pi provdn vekerch pkaz repotools
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty a 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -noStepPrompt
rem Pouit: -noStepPrompt
rem Popis:
rem 	Nedotazovat se ped jednotlivmi kroky upgradu
rem Vchoz hodnota:
rem 	false
rem Omezen:
rem  - Jedin platn hodnoty: 'true' a 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Parametr: -jtsURL
rem Pouit: -jtsURL <veejn identifiktor URI JTS>
rem Popis:
rem 	Veejn identifiktor URI JTS
rem Vchoz hodnota:
rem 	<nen>
rem Omezen:
rem  - Akceptovno pouze pro upgrade RM
rem  - Nezbytn pouze v distribuovan implementaci, kde je produkt JTS sputn na jin instanci serveru ne aplikace RM
rem
set JTS_PUBLIC_URL=
