/*******************************************************************************
 * Licensed Materials - Property of IBM (c) Copyright IBM Corporation 2008, 2013,
 * 2009, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
// NLS_CHARSET=UTF-8
( {
	// navigation labels
	'dataCollection' : "Gromadzenie danych",
	'configuration' : "Konfiguracja",
	'etl' : "Zadania gromadzenia danych",
	'etlStatus' : "Status zadania gromadzenia danych",
	'downloads' : "Zasoby do pobrania", 
	'refresh' : "Odśwież",
	'reports' : "Raporty",
	'runningReports' : "Uruchomione raporty",	

	'admin' : "Administrator",
	'waitingForResponse' : "Oczekiwanie na odpowiedź.",
	'errorInResponse' : "Błąd w odpowiedzi. Ostatnie żądanie nie powiodło się.",
	'updateSnapshotData' : "Uruchom zadanie gromadzenia danych",
	'updateAllRemoteSnapshotData' : "Uruchom wszystkie zadania gromadzenia hurtowni danych",
	'updateAllLocalSnapshotData' : "Uruchom wszystkie zadania gromadzenia tematycznej hurtowni danych",
	'startRemoteScheduledTask' : "Uruchom wszystkie zadania gromadzenia hurtowni danych dla wszystkich aplikacji",
	'runSnapshot' : "Uruchom zadanie gromadzenia danych",
	'testSnapshot' : "Testuj połączenie",
	'save' : "Zapisz",
	'run' : "Uruchom",
	'saveSuccessful' : "Pomyślnie zapisano zmiany.",
	'pingSuccess' : "Pomyślnie przetestowano połączenie.",
	'pingFailed' : "Test połączenia nie powiódł się. Sprawdź referencje i spróbuj ponownie.",
	'snapshotStarted' : "Żądanie zostało wprowadzone. Szczegółowe informacje zawiera strona Status zadania gromadzenia danych.",
	'snapshotStartedDataMart' : "Żądanie zostało wprowadzone. Szczegółowe informacje zawiera strona Aktywne usługi.",
	'enabled' : "Włączone",
	'dataCollectionJob' : "Zadanie gromadzenia danych",
	'application' : "Aplikacja",
	'startTime' : "Godzina uruchomienia zadań (od 1 do 24)",
	'delay' : "Opóźnienie między uruchomieniami zadań (w godzinach):",
	'userId' : "ID użytkownika",
	'password' : "Hasło",
	'consumerKey' : "Klucz konsumenta",
	'consumerSecret' : "Klucz tajny konsumenta",
	'actions' : "Działania",
	'state' : "Stan",
	'running' : "Uruchomione",
	'idle' : "Bezczynny",
	'remote' : "Zadania gromadzenia hurtowni danych",
	'local' : "Zadania gromadzenia tematycznej hurtowni danych",
	'remoteRadio' : "Hurtownia danych. Użyj tego ustawienia dla nowych instalacji.",
	'localRadio' : "Tematyczna hurtownia danych. Użyj tego ustawienia po dokonaniu aktualizacji z poprzedniej wersji.",
	'savePageBeforeRunning' : "Strona zawiera niezapisane zmiany. Przed uruchomieniem zadania gromadzenia hurtowni danych wszystkie zmiany muszą zostać zapisane.",
	'runFullSnapshot' : "Uruchom pełne zadanie gromadzenia danych",
	'confirmRunFullJob' : "Ta opcja przeprowadzi pełne ładowanie danych tego zadania gromadzenia danych do hurtowni danych.",
	'confirmRunFullJob2' : "Jej działanie może być znacznie dłuższe od zaplanowanych zadań, które ładują tylko dane zmodyfikowane od czasu ostatniego zadania zakończonego pomyślnie. Czy na pewno kontynuować?",
	'confirmRunFullJob3' : "Kliknij przycisk OK, aby kontynuować uruchamianie pełnego zadania gromadzenia danych, lub przycisk Anuluj, aby wrócić do strony.",
	
	'diagnostics' : "Procedury diagnostyczne",
	'nonJtsDiagnostics' : "Procedury diagnostyczne można uruchomić tylko z serwera JTS.",
	'errorPerformingDiagnostics' : "Wystąpił błąd podczas wykonywania procedur diagnostycznych",
	'location' : "Położenie",
	'valid' : "Poprawne",
	'diagnosticHelp' : "Sprawdź, czy działają niesprawne aplikacje i czy jest ustawiony ID użytkownika funkcjonalnego w konsumencie przychodzącym odpowiadającym serwerowi JTS.",
	
	'provider' : "Konfigurowanie hurtowni danych",
	'jobScheduling' : "Planowanie zadań",
	
	'xdcLink' : "Pliki konfiguracyjne dla źródeł danych produktu Rational Reporting",
	'xdcLinkDescription' : "Plik zip w tym odsyłaczu zawiera pliki potrzebne do skonfigurowania instancji sterownika IBM Rational XML ODBC Driver. W przypadku produktów obsługujących raporty aktualne przy użyciu produktu Rational Reporting for Development Intelligence (lub w celu zintegrowania tego produktu z produktem Rational Insight) pobierz te pliki, aby skonfigurować instancje sterownika. Te pliki zostały wygenerowane automatycznie dla instalacji serwera i zawierają nazwę użytkownika i hasło podane na stronie Zadania gromadzenia danych. Jeśli produkt Data Manager jest używany na potrzeby integracji z produktem Rational Insight, należy wyłączyć zadania gromadzenia danych udostępniane przez tę aplikację.",
	
	'archiveLink' : "Pliki archiwum dla produktu Rational Reporting",
	'archiveLinkDescription' : "Pliki archiwum udostępniane przez poniższy odsyłacz zawierają przykładowe raporty, definicje modelu danych i pliki konfiguracyjne aktualnego raportowania do użycia w produkcie Rational Reporting. Dokumentacja produktu Rational Reporting zawiera bardziej szczegółowe informacje o sposobie importu tych archiwów do serwera raportowania. Archiwum uwzględnia również źródła dla tych plików, które mogą być używane z produktem Rational Insight na potrzeby dostosowywania zadań gromadzenia danych i modeli raportów.",
	
	'invalidSaveValues' : "Nie można przeprowadzić operacji zapisu strony, która zawiera niepoprawne wpisy. Popraw błędy sprawdzania poprawności, aby zapisać.",
	'delayValidationError' : "Wartość musi być liczbą większą niż 0",
	'startTimeValidationError' : "Wartość musi być liczbą z zakresu od 1 do 24 włącznie",
	
	'etlDescription' : "Ta strona umożliwia skonfigurowanie zadań gromadzenia danych.",
	
	'remoteHistoryWarning' : "Hurtownię danych skonfigurowano do używania dostawcy tematycznej hurtowni danych. Dla dostawcy tematycznej hurtowni danych nie można wyświetlić historii zadania. Dostawcę można zmienić na stronie Zadania gromadzenia danych.",
	'jobListTitle' : "Historia zadania gromadzenia danych",
	'statusDescription' : "Na tej stronie jest wyświetlany status zadań gromadzenia danych.",
	'numberOfJobs' : "Liczba poprzednich zadań, dla których mają zostać wyświetlone dane ",
	'numberOfJobsValidationError' : "Wartość musi być liczbą całkowitą z zakresu od 1 do 1000",
	'noJobHistory' : "Nie znaleziono historii zadania.",
	'loadingJobHistory' : "Ładowanie historii zadania",
	'loadingRunningJobs' : "Ładowanie działających zadań",
	
	'startTime' : "Godzina rozpoczęcia:",
	'endTime' : "Godzina zakończenia",
	'status' : "Status",
	'succeeded' : "Zakończone powodzeniem",
	'failed' : "Zakończone niepowodzeniem",
	'interrupted' : "Przerwane",
	'inProgress' : "W toku",
	'didNotFinish' : "Niezakończone",
	'na' : "Nie dotyczy",
	'totalTime' : "Czas wykonania",
	'runningTime' : "Czas wykonywania",
	'jobHistory' : "Historia zadania",
	'runningJobs' : "Obecnie działające zadania",
	
	'etlHistoryError' : "Błąd podczas pobierania historii zadania, sprawdź poprawność konfiguracji hurtowni danych.",
	'runningJobsError' : "Błąd podczas pobierania obecnie uruchomionych zadań. Odśwież stronę, aby ponowić próbę.",
	'stillRunning' : "Obecnie uruchomione",
	'noRunningJobs' : "Obecnie nie ma żadnych uruchomionych zadań gromadzenia hurtowni danych.",
	
	//data warehouse connection properties
	'dataWarehouseTableHeading' : "Właściwości połączenia",
	'internalDataWarehouseTableHeading' : "Właściwości połączenia wewnętrznego",
	'remoteSnapshotManagerTaskHeading' : "Zadanie menedżera zadania zdalnego gromadzenia danych",
	'loading': "Ładowanie...",
	'dataWarehouseHeading': "Połączenie z hurtownią danych", 
	'noProperties': "Brak właściwości spełniających kryteria wyboru.",
	'serviceError': "CRJAZ1515E Błąd podczas pobierania właściwości konfiguracyjnych",
	'correctInvalid': "Istnieją właściwości z niepoprawnymi wartościami. Popraw właściwości oznaczone poniżej i ponów próbę zapisania",
	'saveSuccess': "Zmiany konfiguracji zostały zapisane pomyślnie.", 
	'saveRestart': "  Jednak niektóre zmiany zostaną zastosowane dopiero po zrestartowaniu serwera.",
	'saveError': "CRJAZ1513E Wystąpił błąd podczas zapisywania właściwości konfiguracyjnych.  Szczegółowe informacje znajdują się w dzienniku serwera",
	'serverUnreachable': "CRJAZ1514E Serwer jest nieosiągalny.  Sprawdź połączenia sieciowe.",
	
	'cognosReportServiceTableHeading' : "Raporty niestandardowe",
	'customReportsHeading' : "Połączenie z raportami niestandardowymi",
		
	//reports status messages
	'reportStatusTitle' : "Uruchomione raporty",
	'reportStatusAdminDescription' : "Na tej stronie wyświetlane są wszystkie zadania raportów aktualnie uruchomione na serwerze.",
	'reportStatusDescription' : "Na tej stronie wyświetlane są wszystkie zadania raportów w bieżącym projekcie zażądane przez bieżącego użytkownika.",
	'noReportsMessage' : "Brak aktualnie uruchomionych reportów",
	'reportColumnLabel' : "Zasób raportu",
	'projectColumnLabel' : "Obszar projektu",
	'userColumnLabel' : "Żądanie utworzone przez",
	'timeColumnLabel' : "Czas wykonywania",
	'statusColumnLabel' : "Status",
	'taskColumnLabel' : "Zadanie",
	'actionColumnLabel' : "Działania",
	'cancelSuccessMessage' : "Odebrano żądanie anulowania",
	'cancelUnsuccessfulMessage' : "Nie można anulować raportu. Prawdopodobnie został on zakończony lub anulowany.",
	'reportStatusCancelledLabel' : "Zażądano anulowania",
	'reportStatusRunningLabel' : "Uruchomiono",
	'cancelButtonText' : "Anuluj",
	'refreshButtonText' : "Odśwież",
	'daysElapsedLabel' : "${0} d"
		
		
})
